/* ============================================================================ *
        Post Styles
    ---------------------------------------------------------------------------
        These are the styles which build all the various post types and their templates.
*/
.tmf-post.medium {
    position: relative;
    padding-bottom: 50px;
    margin-bottom: 50px;
}

.tmf-post.large:not(.attorney) img.primary {
    float: right;
    margin-right: 0;
    margin-left: 25px;
}

.tmf-post.small img.thumbnail {
    float: left;
    max-width: 100px;
    margin-right: 10px;
    margin-bottom: 10px;
}

.tmf-post.medium img.thumbnail {
    max-width: 150px;
    margin-right: 15px;
/*    margin-bottom: 15px;*/
    margin-bottom: 0px;
    margin-top: 7px;
}

.tmf-post.medium img.thumbnail.mobile {
    margin-top: 7px;
}

.tmf-post img.primary {
    float: left;
    margin-top: 5px;
    max-width: 250px;
    margin-right: 15px;
    margin-bottom: 15px;
}

.children .tmf-post.medium img.thumbnail {
    max-width: 150px;
}

.tmf-post .excerpt a{
    text-decoration: underline;
}

.tmf-post .excerpt a:hover {
    text-decoration: none;
}

.tmf-post.large h1#page-title {
    display: none;
}

.tmf-post.large.practice-area h1#page-title {
    display: block;
}

/*---------- Attorney Small ----------*/
.tmf-post.attorney.small {
    position: relative;
    max-width: 292px;
    width: 100%;
    margin-bottom: 0;
    padding-bottom: 0;
}

.tmf-post.attorney.small .small-inner{}

.tmf-post.attorney.small .small-attorney-container {
    position: relative;
}

.tmf-post.attorney.small .small-attorney-container img.small-thumbnail {
    float: none;
    max-width: 292px !important;
    height: auto;
    display: block;
    border: 1px solid #166575;
    transition: all 0.3s ease-out;
}

.tmf-post.attorney.small .small-attorney-container:hover img.small-thumbnail {
    border: 1px solid #c87f55;
    transition: all 0.3s ease-in;
}

.tmf-post.attorney.small .title {
    box-sizing: border-box;
    color: #ffffff;
    font-size: 18px;
    font-weight: 500;
    line-height: normal;
    text-align: center;
    width: 100%;
    margin-top: 15px;
}

.tmf-post.attorney.small .title a {
    color: #fff;
    text-decoration: none;
}

.tmf-post.attorney.small .title a:hover {
    text-decoration: underline;
}

.tmf-post.attorney.small .tmf-taxonomy-list .tmf-taxonomy{
    font-style: normal;
    color: #fff;
    font-size: 14px;
    margin-top: 5px;
    display: block;
    margin-bottom: 15px;
}

.tmf-post.attorney.small .small-attorney-container .read-bio {
    box-sizing: border-box;
    color: #c87f55;
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
    text-align: center;
    text-transform: uppercase;
    transition: all 0.3s ease-out;
    opacity: 0;
}

.tmf-post.attorney.small .small-attorney-container:hover .read-bio {
    opacity: 1;
    transition: all 0.3s ease-in;
}

.tmf-post.attorney.small .small-attorney-container .read-bio a{
    color: #c87f55;
    text-decoration: none;;
}

@media screen and (max-width: 350px) {
    .tmf-post.attorney.small .small-attorney-container img.small-thumbnail {
        max-width: 260px !important;
        margin: 0 auto;
    }
}

/*------ Attorney Medium -----*/
.tmf-post.attorney.medium h2.title,
.tmf-post.staff.medium h2.title {
    margin-bottom: 0;
}

.tmf-post.attorney.medium .tmf-taxonomy-list,
.tmf-post.staff.medium .tmf-taxonomy-list {
    font-size: 14px;
}

.tmf-post.attorney.medium .contact-information, 
.tmf-post.staff.medium .contact-information {
    font-size: 14px;
    line-height: 1.5em;
    margin-top: 10px;
    display: inline-block;
}

.tmf-post.attorney.medium .excerpt,
.tmf-post.staff.medium .excerpt {
    clear: both;
}

.tmf-post.attorney.medium .label,
.tmf-post.staff.medium .label {
    font-size: 0;
}

.tmf-post.attorney.medium .phone-1::before,
.tmf-post.attorney.medium .phone-2::before,
.tmf-post.attorney.medium .fax::before,
.tmf-post.attorney.medium .email::before,
.tmf-post.staff.medium .phone-1::before,
.tmf-post.staff.medium .phone-2::before,
.tmf-post.staff.medium .fax::before,
.tmf-post.staff.medium .email::before{
    color: #b15e2e;
    font-size: 16px;
    font-family: "Font Awesome 6 Pro";
    font-weight: 300;
    display: inline-block;
    vertical-align: middle;
}

.tmf-post.attorney.medium .phone-1::before,
.tmf-post.staff.medium .phone-1::before {
    content: "\f095";
    margin-right: 5px;
    transform: rotate(10deg);
    width: 20px;
}

.tmf-post.attorney.medium .phone-2::before,
.tmf-post.staff.medium .phone-2::before {
    content: "\f3cd";
    margin-right: 5px;
    width: 20px;
    position: relative;
    left: 4px;
}

.tmf-post.attorney.medium .fax::before,
.tmf-post.staff.medium .fax::before {
    content: "\f1ac";
    margin-right: 5px;
    width: 20px;
}

.tmf-post.attorney.medium .email::before,
.tmf-post.staff.medium .email::before {
    content: "\f0e0";
    margin-right: 5px;
    width: 20px;
}

.tmf-post.attorney.medium .read-more-button.top, 
.tmf-post.staff.medium .read-more-button.top {
    display: none !important;
}

.tmf-post.attorney.medium .read-more-button.bottom, 
.tmf-post.staff.medium .read-more-button.bottom {
    display: inline-block !important;
    float: none;
}

/*----------Practice Area Small----------*/
.tmf-post.small.practice-area {
    margin: 20px 0 0;
    padding: 0;
}

.tmf-post.small.practice-area .prac-button {
    box-sizing: border-box;
    background: #12515d;
    display: flex;
    flex-direction: column;
    color: #ffffff;
    font-size: 19px;
    font-family: 'Merriweather Sans', sans-serif;
    font-weight: 400;
    text-align: center;
    text-decoration: none !important;
    line-height: 24px;
    width: 100%;
    height: 60px;
    align-items: center;
    justify-content: center;
    padding: 5px 10px;
    margin: 0 auto;
    position: relative;
    transition: all 0.3s ease-in;
}

.tmf-post.small.practice-area .prac-button:hover {
    background: #b15e2e;
    transition: all 0.3s ease-in;
}

.tmf-post.small.practice-area .prac-button:hover::before {
  --_i: 100%;
  color: #ffffff;
  transition: 0.3s, -webkit-mask-size 0.3s 0.3s;
}

.tmf-post.small.practice-area .prac-button::before {
    content: "";
    position: absolute;
    z-index: 1;
    top: -5px;
    left: 5px;
    width: calc(100% - 12px);
    height: calc(100% + 8px);
    border: 1px solid #002532;
    mask: conic-gradient(
        from 180deg at top 2px right 2px,
        #002532 90deg,
        #002532 0
      )
      var(--_i, 200%) 0 /200% var(--_i, 2px) border-box no-repeat,
    conic-gradient(
        at bottom 2px left 2px,
        #002532 90deg,
        #002532 0
      )
      0 var(--_i, 200%) / var(--_i, 2px) 200% border-box no-repeat,
    -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(0, #002532)
      ) padding-box no-repeat;
    mask: conic-gradient(
        from 180deg at top 2px right 2px,
        #002532 90deg,
        #002532 0
      )
      var(--_i, 200%) 0 /200% var(--_i, 2px) border-box no-repeat,
    conic-gradient(
        at bottom 2px left 2px,
        #002532 90deg,
        #002532 0
      )
      0 var(--_i, 200%) / var(--_i, 2px) 200% border-box no-repeat,
    linear-gradient(#002532 0 0) padding-box no-repeat;
    -webkit-mask: conic-gradient(
        from 180deg at top 2px right 2px,
        #002532 90deg,
        #002532 0
      )
      var(--_i, 200%) 0 /200% var(--_i, 2px) border-box no-repeat,
    conic-gradient(
        at bottom 2px left 2px,
        #002532 90deg,
        #002532 0
      )
      0 var(--_i, 200%) / var(--_i, 2px) 200% border-box no-repeat,
    -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(0, #002532)
      ) padding-box no-repeat;
    -webkit-mask: conic-gradient(
        from 180deg at top 2px right 2px,
        #002532 90deg,
        #002532 0
      )
      var(--_i, 200%) 0 /200% var(--_i, 2px) border-box no-repeat,
    conic-gradient(
        at bottom 2px left 2px,
        #002532 90deg,
        #002532 0
      )
      0 var(--_i, 200%) / var(--_i, 2px) 200% border-box no-repeat,
    linear-gradient(#002532 0 0) padding-box no-repeat;
    transition: 0.3s, -webkit-mask-position 0.3s 0.3s;
  /* pointer-events: none; */
}

/*---------- Practice Areas Home ----------*/
.tmf-post.practice-area.home {
    border: none;
}

.tmf-post.practice-area.home .home-practice-area-container {
    border: none;
    max-width: 295px;
    position: relative;
}

.tmf-post.practice-area.home .home-practice-area-container a {
    color: #002532;
    text-decoration: none;
}

.tmf-post.practice-area.home .home-practice-area-container .home-practice-area-box{
    position: relative;
}

.tmf-post.practice-area.home .home-practice-area-container .home-practice-area-box::before {
    content: "";
    position: absolute;
    z-index: 1;
    top: -20px;
    left: 20px;
    width: calc(100% - 41px);
    height: calc(100% + 20px);
    border: 1px solid #166575;
    transition: all 0.3s ease-out;
}

.tmf-post.practice-area.home .home-practice-area-container .home-practice-area-box:hover::before {
    border: 1px solid #b05e2e;
    transition: all 0.3s ease-in;
}

.tmf-post.practice-area.home .home-practice-area-container img.home-thumbnail {
    display: block;
    float: none;
    max-width: 295px !important;
    width: 100%;
}

.tmf-post.practice-area.home .home-practice-area-container .img-overlay {
    background: rgba(0, 0, 0, 0);
    mix-blend-mode: color;
    position: absolute !important;
    top: 0;
    width: 100%;
    height: calc(100% - 53px);
}

.tmf-post.practice-area.home .home-practice-area-container .img-overlay:before {
    background: #a2562a;
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    transition: all 0.3s ease-out;
}

.tmf-post.practice-area.home .home-practice-area-container:hover .img-overlay:before {  
    opacity: 1;
    transition: all 0.3s ease-in;
}

.tmf-post.practice-area.home .home-practice-area-container .title {
    box-sizing: border-box;
    color: #002532;
    font-family: 'Merriweather Sans', sans-serif;
    font-size: 18px;
    font-weight: 400;
    line-height: normal;
    padding: 15px 10px;
    text-align: center;
    width: 100%;
    position: relative;
}

@media screen and (max-width: 1200px) {}

/*---------- Testimonial Small ----------*/
.tmf-post.testimonial.small {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.tmf-post.testimonial.small .excerpt{
    color: #313131;
    font-size: 14px;
    font-weight: 400;
    line-height: 30px;
    margin-top: 0;
}

.tmf-post.testimonial.small .testimonial-description {
    float: none;
    color: #313131;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    margin-top: 0;
}

/*---------- Representative Case Home ----------*/
.tmf-post.representative-case.home{
    border: none;
    margin: 0;
    padding: 0;
}

.tmf-post.representative-case.home .home-rep-case-cell-1,
.tmf-post.representative-case.home .home-rep-case-cell-2{
    display: table-cell;
    vertical-align: middle;
    position: relative;
}

.tmf-post.representative-case.home .home-rep-case-cell-1 {
    width: 335px;
}

.tmf-post.representative-case.home .home-rep-case-cell-1 .home-rep-case-inner{
    padding: 0 50px 0 25px;
}

.tmf-post.representative-case.home .home-rep-case-cell-2 {
    width: auto;
}

.tmf-post.representative-case.home .home-rep-case-cell-2 .home-rep-case-inner{
    padding: 0 25px 0 50px;
}

.tmf-post.representative-case.home .home-rep-case-cell-2 .home-rep-case-inner:before {
    border-left: 2px solid #c87f55;
    content: '';
    display: inline-block;
    width: 2px;
    height: 100%;
    position: absolute;
    left: 0;
}

.tmf-post.representative-case.home .excerpt {
    color: #ffffff;
    font-size: 14px;
    font-weight: 400;
    line-height: 28px;
    margin-top: 0;
}

@media screen and (max-width: 950px) {
    .tmf-post.representative-case.home .home-rep-case-cell-1,
    .tmf-post.representative-case.home .home-rep-case-cell-2{
        display: block;
        width: 100%;
        text-align: center;
    }

    .tmf-post.representative-case.home .home-rep-case-cell-2{
        padding-top: 25px;
    }

    .tmf-post.representative-case.home .home-rep-case-cell-1 .home-rep-case-inner{
        padding: 0 25px;
    }

    .tmf-post.representative-case.home .home-rep-case-cell-2 .home-rep-case-inner{
        padding: 0 25px;
    }

    .tmf-post.representative-case.home .home-rep-case-cell-2 .home-rep-case-inner:before {
        display: none;
    }
}

/*---------- Representative Case Small ----------*/
.tmf-post.representative-case.small{
    border: none;
    margin: 0;
    padding: 0;
}

.tmf-post.representative-case.small .excerpt {
    color: #000000;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    margin-top: 0;
}

.tmf-post.representative-case.small .case-result {
    color: #000000;
    font-size: 16px;
    font-weight: 700;
    margin-top: 15px;
}

/*---------- Testimonial Medium ----------*/
.tmf-post.testimonial .testimonial-description {
    float: none;
    font-size: 14px;
    margin-top: 10px;
    font-style: italic;
}

/*---------- Location Mobile ----------*/
.tmf-post.location.mobile-location .location-small-container {
    max-width: 100%;
}

.tmf-post.location.mobile-location .location-small-1, 
.tmf-post.location.mobile-location .location-small-2 {
    display: block;
    max-width: 100%;
}

.tmf-post.location.mobile-location .location-small-1 {
    border-right: none;
}

.tmf-post.location.mobile-location .location-small-2 {
    margin-top: 10px;
}

.tmf-post.location.mobile-location .map-label {
    font-size: 22px;
    vertical-align: top;
    top: 5px;
    transform: inherit;
}

@media screen and (max-width: 600px){
    .tmf-post.location.mobile-location .divider {
        display: none;
    }
}

/*---------- Location Small ----------*/
.tmf-post.location.small {
    color: #f5f2e9;
    font-size: 16px;
    font-weight: 400;
    line-height: normal;
}

.tmf-post.location.small a{
    color: #f5f2e9;
    text-decoration: none;
}

.tmf-post.location.small a:hover{
    text-decoration: none;
}

.tmf-post.small.location .title {
    color: #f5f2e9;
    font-size: 28px;
    font-weight: 300;
    margin-bottom: 15px;
    line-height: normal;
}

.tmf-post.small.location .address, 
.tmf-post.small.location .phone,
.tmf-post.small.location .email,
.tmf-post.small.location .facebook, 
.tmf-post.small.location .instagram {
    position: relative;
    display: inline-block;
    padding: 50px 40px 0;
    vertical-align: top;
}

.tmf-post.small.location .streetAddress {
    display: block;
}

.tmf-post.small.location .label {
    font-size: 0;
}

.tmf-post.small.location .value {
    padding-left: 0;
}

.tmf-post.small.location .streetAddress a::before,
.tmf-post.small.location .phone-1 a::before,
.tmf-post.small.location .phone-2 a::before,
.tmf-post.small.location .fax a::before,
.tmf-post.small.location .email a::before,
.tmf-post.small.location .facebook a::before,
.tmf-post.small.location .instagram a::before {
    color: #c87f55;
    font-size: 50px;
    font-family: "Font Awesome 6 Pro";
    font-weight: 300;
    display: block;
    line-height: normal;
    margin-bottom: 15px;
}

.tmf-post.small.location .streetAddress a::before {
    content: "\f3c5";
}

.tmf-post.small.location .phone-1 a::before {
    content: "\f095";
}

.tmf-post.small.location .phone-2 a::before {
    content: "\f095";
}

.tmf-post.small.location .fax a::before {
    content: "\f1ac";
}

.tmf-post.small.location .email a::before {
    content: "\f0e0";
}

.tmf-post.small.location .facebook a::before {
    content: "\f09a";
    font-family: "Font Awesome 6 Brands";
    font-weight: 300;
}

.tmf-post.small.location .instagram a::before {
    content: "\f16d";
    font-family: "Font Awesome 6 Brands";
    font-weight: 300;
}

@media screen and (max-width: 1200px) {
    .tmf-post.location.small {
        max-width: 900px;
        margin: 0 auto;
    }
}

@media screen and (max-width: 600px) {
    .tmf-post.small.location .address, 
    .tmf-post.small.location .phone, 
    .tmf-post.small.location .email, 
    .tmf-post.small.location .facebook, 
    .tmf-post.small.location .instagram {
        display: block;
        padding: 50px 25px 0;
    }
}

@media screen and (max-width: 600px) {
    .tmf-post.small.location .streetAddress a::before,
    .tmf-post.small.location .phone-1 a::before,
    .tmf-post.small.location .phone-2 a::before,
    .tmf-post.small.location .fax a::before,
    .tmf-post.small.location .email a::before,
    .tmf-post.small.location .facebook a::before,
    .tmf-post.small.location .instagram a::before {
        font-size: 35px;
    }
}

/*----------Location Medium----------*/
.tmf-post.location .dynamic-map{
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;
}

.tmf-post.location .dynamic-map iframe{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* ======================================== *
        Responsive Posts
 * ======================================== */
@media screen and (min-width: 850px) and (max-width: 1000px), screen and (max-width: 600px) {
    .tmf-post.medium.post .taxonomy-container {
        clear: both;
    }

    .tmf-post.medium.post .read-more-button {
        margin-bottom: 25px;
    }

    .tmf-post.medium.event .taxonomy-container {
        clear: both;
    }

    .tmf-post.medium.event .read-more-button {
        margin-bottom: 25px;
    }


    .tmf-post.medium.post img.primary {
        max-width: 150px;
    }

    .tmf-post.medium img.thumbnail {
        max-width: 175px;
    }

    .children .tmf-post.medium img.thumbnail {
        max-width: 125px;
    }

    .tmf-post.medium.attorney .read-more-button.top,
    .tmf-post.medium.staff .read-more-button.top {
        display: none;
    }

    .tmf-post.medium.attorney .read-more-button.bottom,
    .tmf-post.medium.staff .read-more-button.bottom {
        display: block;
        text-align: center;
    }

    .tmf-post img.primary {
        max-width: 200px;
    }

    .tmf-post.large.attorney img.primary,
    .tmf-post.large.staff img.primary {
        max-width: 250px;
    }
}

@media screen and (max-width: 600px) {
    .tmf-post.large.attorney img.primary,
    .tmf-post.large.staff img.primary {
        float: none;
        margin-bottom: 15px;
    }

    .tmf-post.large:not(.attorney) img.primary {
        float: none;
        margin-right: 0;
        margin-left: 0;
    }
}


@media screen and (max-width: 400px) {
    .tmf-post.small img.thumbnail {
        max-width: 75px;
    }

    .tmf-post.attorney.small img.thumbnail, 
    .tmf-post.staff.small img.thumbnail {
        max-width: 75px;
    }

    .tmf-post.medium img.thumbnail {
        max-width: 125px;
    }

    .children .tmf-post.medium img.thumbnail {
        max-width: 100px;
    }

    .tmf-post.medium.post img.primary {
        max-width: 100px;
    }

    .tmf-post.attorney.medium img.thumbnail, 
    .tmf-post.staff.medium img.thumbnail {
        max-width: 75px;
    }

    .tmf-post img.primary {
        max-width: 150px;
    }
}
